package com.casic.missiles.service.system;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.system.NoticeAddRequest;
import com.casic.missiles.dto.system.NoticeListRequest;
import com.casic.missiles.dto.system.NoticeReadRequest;
import com.casic.missiles.model.system.SystemNotice;

/**
 * <p>
 * 系统管理-通知公告表 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2022-11-29
 */
public interface ISystemNoticeService extends IService<SystemNotice> {

    Page<SystemNotice> listPage(Page<SystemNotice> page, NoticeListRequest request);

    ReturnDTO addNotice(NoticeAddRequest noticeAddRequest);

    ReturnDTO updateNotice(SystemNotice systemNotice);

    ReturnDTO deleteNotice(Long id);

    ReturnDTO noticeRead(NoticeReadRequest noticeReadRequest);
}
